Newer Version Available
Salesforce Commerce Release Notes
This section covers the latest updates and changes to the Commerce APIs defined through the OpenAPI specification. For updates on other Salesforce Commerce API types, see the Salesforce Commerce Release Notes.
New and Changed Endpoints
Commerce Cart API
Retrieve child cart items for a specified parent cart item
Make a GET request to the new /commerce/webstores/{webstoreId}/carts/{activeCartOrId}/cart-items/{cartItemId}/children resource.
Manage cart items based on product configuration
Make a POST request to the new /commerce/webstores/{webstoreId}/carts/{activeCartOrId}/cart-items/actions/apply-configuration resource.
DEPRECATED: Change Currency API
The POST /commerce/webstores/{webstoreId}/carts/{activeCartOrId}/actions/change-currency resource is deprecated. To change the cart currency, refer to Handle Currency Changes.
Changed Request Body Types
These request bodies are new or have changes.
Commerce Payments API
Sale Payment API
The POST /commerce/payments/sales resource request body has this new property.
- bankPaymentMethod—Details of the bank payment method for the payment gateway.
Tokenize Payment Method API
The POST /commerce/payments/payment-methods resource request body has this new property.
- bankPaymentMethod—Details of the bank payment method for the payment gateway.
See Also
Let us know so we can improve!